
clear all
set more off
set dp comma

cd "C:\Users\lguasgua\Desktop\Resp lguasgua\Mis documentos\Unidad de diseo muestral\Proyecto estratificacin\resultados NSE\analisis"

*** Estratificacin 5 ciudades

use "04_reescalamiento_nacional_vivienda_hogar"
drop nse
***factorial vivienda - resc_via_acceso garajes resc_techo sh_exclusivo
pca resc_tipo_viv resc_pared resc_piso resc_duchas_exclusivas resc_alcantarillado, factor(1) blank(0.35)
predict pca_vivienda

*** factorial tecnologa
pca internet compu laptop_netbook resc_celular, factor(1) blank(0.35)
predict pca_tecnologia

*** factorial bienes - calefon tlf cocina_horno micro refri lavadora ducha_electrica num_ventiladores aire_acond equipo_sonido num_tv_color Ld_3D num_dvd play_station resc_posesion_viv terrenos num_vehiculos_exclusivos num_vehiculos_trab micro resc_num_dvd
pca tlf cocina_horno  refri lavadora equipo_sonido resc_num_tv_color resc_num_vehiculos_exclusivos play_station ld_3d terrenos , factor(2) blank(0.3)
rotate, promax blank(0.3)
predict pca_bienes

***factorial habitos

pca t_credito_hogar t_debito_hogar t_internacional_hogar compra_vestimenta_hogar uso_internet correo_hogar facebook_hogar libros_leidos_hogar viajes_internacional_hogar , factor(2) blank(0.3)
rotate, promax blank(0.20)
predict pca_habitos

*** factorial educacin
tab resc_educ_jefe

***factorial economa - bono_hogar 
pca seg_iess seg_privado  resc_grupo_jefe, factor(1) blank(0.35)
predict pca_economia

*** acp conjunto
pca pca_vivienda pca_tecnologia pca_bienes pca_habitos resc_educ_jefe pca_economia [w=fexp], factor(2) blank(0.35)
rotate, promax blank(0.3)
loadingplot
scoreplot

scree
fapara, reps(10)
pca pca_vivienda pca_tecnologia pca_bienes pca_habitos resc_educ_jefe pca_economia, factor(1) blank(0.35)
predict pca_nse
hist(pca_nse)

gen gas_perca =  gastos_totales/numper
gen ingr_perca = ing_total/numper

xtile qingper = ingr_perca, nq(5)
xtile qgasper = gas_perca, nq(5)

*** conformacin de estratos reescalados

egen score0 = min(pca_nse)
egen score1 = max(pca_nse)
gen score1000 = (pca_nse - score0)*1000/(score1-score0)
hist(score1000)

* regresin t_internacional_hogar viajes_internacional_hogar ld_3d play_station terrenos t_debito_hogar 
reg score1000 resc_tipo_viv resc_pared resc_piso resc_duchas_exclusivas resc_alcantarillado internet compu laptop_netbook resc_celular  ///
tlf cocina_horno refri lavadora equipo_sonido resc_num_tv_color resc_num_vehiculos_exclusivos ///
compra_vestimenta_hogar uso_internet correo_hogar facebook_hogar ///
libros_leidos_hogar resc_educ_jefe seg_iess seg_privado resc_grupo_jefe, noconstant

gen score1000_n= (59*resc_tipo_viv+59*resc_pared+48*resc_piso+32*resc_duchas_exclusivas+38*resc_alcantarillado+45*internet+35*compu+39*laptop_netbook + ///
42*resc_celular+19*tlf+29*cocina_horno+30*refri+18*lavadora+18*equipo_sonido+34*resc_num_tv_color+15*resc_num_vehiculos_exclusivos+6*compra_vestimenta_hogar + ///
26*uso_internet+27*correo_hogar+28*facebook_hogar+12*libros_leidos_hogar+171*resc_educ_jefe+39*seg_iess+55*seg_privado+76*resc_grupo_jefe)/100

cluster kmeans qingper score1000 resc_via_acceso resc_tipo_viv resc_techo resc_pared resc_piso cocina_exclusiva internet compu laptop_netbook ///
dormitorios sh_exclusivo duchas_exclusivas calefon tlf cocina_horno micro refri lavadora ducha_electrica num_ventiladores aire_acond equipo_sonido ///
resc_viveres t_credito_hogar t_debito_hogar t_internacional_hogar compra_vestimenta_hogar viajes_hogar viajes_internacional_hogar canales num_tv_color ///
ld_3d num_dvd play_station tv_horas escolaridad cursos_hogar uso_internet correo_hogar facebook_hogar libros_leidos resc_combustible resc_alcantarillado ///
resc_agua resc_luz resc_basura luz_publica resc_posesion_viv garajes terrenos num_vehiculos_exclusivos num_vehiculos_trab cuarto_persona r_ocup_per ///
bono_hogar seg_iess seg_privado r_celular_per, k(7) measure(L2) start(segments) generate(clust_nse)

table clust_nse, c(min score1000 max score1000 p50 score1000 p75 score1000 p90 score1000)

gen nse = 1 if score1000_n <316
replace nse = 2 if score1000_n >=316 & score1000_n <535
replace nse = 3 if score1000_n >=535 & score1000_n <696
replace nse = 4 if score1000_n >=696  & score1000_n <845
replace nse = 5 if score1000_n >=845 & score1000_n!=.

tab nse [iw=fexp]

tab nse dominios [iw=fexp], col nofreq 

table nse [iw=fexp], c(mean gas_perca min gas_perca max gas_perca)
table nse [iw=fexp], c(mean ingr_perca min ingr_perca max ingr_perca)

reg  score1000_n  score1000
corr score1000_n score1000

